// sectionCell.ts
class SectionCell {
    private _idSectionCell?: number;
    private _sectionId?: number;
    private _contentSectionCell?: string;
    private _modificationDate?: string;

    constructor(data: Partial<SectionCell> = {}) {
        this._idSectionCell = data.idSectionCell;
        this._sectionId = data.sectionId;
        this._contentSectionCell = data.contentSectionCell;
        this._modificationDate = data.modificationDate;
    }

    get idSectionCell(): number | undefined {
        return this._idSectionCell;
    }

    set idSectionCell(value: number | undefined) {
        this._idSectionCell = value;
    }

    get sectionId(): number | undefined {
        return this._sectionId;
    }

    set sectionId(value: number | undefined) {
        this._sectionId = value;
    }

    get contentSectionCell(): string | undefined {
        return this._contentSectionCell;
    }

    set contentSectionCell(value: string | undefined) {
        this._contentSectionCell = value;
    }

    get modificationDate(): string | undefined {
        return this._modificationDate;
    }

    set modificationDate(value: string | undefined) {
        this._modificationDate = value;
    }

    toObject() {
        return {
            idSectionCell: this._idSectionCell,
            sectionId: this._sectionId,
            contentSectionCell: this._contentSectionCell,
            modificationDate: this._modificationDate,
        };
    }
}

export default SectionCell;
