// report.ts
class Report {
    private _idReport?: number;
    private _reportContent?: string;

    constructor(data: Partial<Report> = {}) {
        this._idReport = data.idReport;
        this._reportContent = data.reportContent;
    }

    get idReport(): number | undefined {
        return this._idReport;
    }

    set idReport(value: number | undefined) {
        this._idReport = value;
    }

    get reportContent(): string | undefined {
        return this._reportContent;
    }

    set reportContent(value: string | undefined) {
        this._reportContent = value;
    }

    toObject() {
        return {
            idReport: this._idReport,
            reportContent: this._reportContent,
        };
    }
}

export default Report;
